CheckstyleExtension (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.plugins.quality

## [Java] Class CheckstyleExtension

- org.gradle.api.plugins.quality.CheckstyleExtension

- Configuration options for the Checkstyle plugin.

  See Also:
    CheckstylePlugin

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CheckstyleExtension (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TextResource` | `getConfig()` The Checkstyle configuration to use.
    `File` | `getConfigFile()` The Checkstyle configuration file to use.
    `Map<String, Object>` | `getConfigProperties()` The properties available for use in the configuration file.
    `boolean` | `getShowViolations()` Whether or not rule violations are to be displayed on the console.
    `boolean` | `isShowViolations()`
    `void` | `setConfig(TextResource config)`
    `void` | `setConfigFile(File configFile)` The Checkstyle configuration file to use.
    `void` | `setConfigProperties(Map<String, Object> configProperties)`
    `void` | `setShowViolations(boolean showViolations)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeQualityExtension` | `getIgnoreFailures, getReportsDir, getSourceSets, getToolVersion, isIgnoreFailures, setIgnoreFailures, setReportsDir, setSourceSets, setToolVersion`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public CheckstyleExtension(Project project)

  - ### Method Detail

    - #### @Incubating public TextResource getConfig()

      The Checkstyle configuration to use. Replaces the `configFile` property.

      Since:
        2.2

    - #### public File getConfigFile()

      The Checkstyle configuration file to use.

    - #### public Map<String, Object> getConfigProperties()

      The properties available for use in the configuration file. These are substituted into the configuration file.

    - #### public boolean getShowViolations()

      Whether or not rule violations are to be displayed on the console. Defaults to `true`. Example: showViolations = false

    - #### public boolean isShowViolations()

    - #### public void setConfig(TextResource config)

    - #### public void setConfigFile(File configFile)

      The Checkstyle configuration file to use.

    - #### public void setConfigProperties(Map<String, Object> configProperties)

    - #### public void setShowViolations(boolean showViolations)